Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ErrorInfo.IncompleteContentModel

    java.lang.Object
      com.sun.msv.verifier.ErrorInfo
          com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
              com.sun.msv.verifier.ErrorInfo.IncompleteContentModel

Enclosing class:
  ErrorInfo

public static class ErrorInfo.IncompleteContentModel
extends ErrorInfo.ElementErrorInfo

This error occurs when MSV sees an end tag unexpectedly. For example:

     <html>
       <head> ... </head>
     </html>  <!-- where is the body element? -->

Usually, this means that additional elements and/or PCDATA are necessary to make the document valid.

Fields of the class provide information about enclosing tag. (In case of the above example, it is `html`.)

Nested Class Summary

Nested classes inherited from class com.sun.msv.verifier.ErrorInfo
`ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.BadText, ErrorInfo.ElementErrorInfo, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute`

Field Summary

Fields inherited from class com.sun.msv.verifier.ErrorInfo.ElementErrorInfo
`localName, namespaceURI, qName`

Constructor Summary
`ErrorInfo.IncompleteContentModel(StartTagInfo sti)`
`ErrorInfo.IncompleteContentModel(java.lang.String qn, java.lang.String ns, java.lang.String loc)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorInfo.IncompleteContentModel

    public ErrorInfo.IncompleteContentModel(java.lang.String qn,
                                            java.lang.String ns,
                                            java.lang.String loc)

### ErrorInfo.IncompleteContentModel

    public ErrorInfo.IncompleteContentModel(StartTagInfo sti)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD